Newer
Older
cat >>confdefs.h <<_ACEOF
#define HAVE_LIBCBLAS 1
if test x$acx_atlas_ok = xyes; then
ATLAS_LIBPATH="-L$atlas_def/lib"
else
atlas_def=/usr/lib64/atlas
unset ac_cv_lib_lapack_clapack_dpotrf
unset ac_cv_lib_cblas_cblas_dgemm
acx_atlas_ok=yes
{ echo "$as_me:$LINENO: checking for clapack_dpotrf in -llapack" >&5
echo $ECHO_N "checking for clapack_dpotrf in -llapack... $ECHO_C" >&6; }
if test "${ac_cv_lib_lapack_clapack_dpotrf+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
ac_check_lib_save_LIBS=$LIBS
LIBS="-llapack -L$atlas_def -lcblas -latlas -lm $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any GCC internal prototype to avoid an error.
Use char because int might match the return type of a GCC
builtin and then its argument prototype would still apply. */
#ifdef __cplusplus
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
{ echo "$as_me:$LINENO: result: $ac_cv_lib_lapack_clapack_dpotrf" >&5
echo "${ECHO_T}$ac_cv_lib_lapack_clapack_dpotrf" >&6; }
if test $ac_cv_lib_lapack_clapack_dpotrf = yes; then
{ echo "$as_me:$LINENO: checking for cblas_dgemm in -lcblas" >&5
echo $ECHO_N "checking for cblas_dgemm in -lcblas... $ECHO_C" >&6; }
if test "${ac_cv_lib_cblas_cblas_dgemm+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lcblas -L$atlas_def -latlas -lm $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any GCC internal prototype to avoid an error.
Use char because int might match the return type of a GCC
builtin and then its argument prototype would still apply. */
#ifdef __cplusplus
extern "C"
#endif
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ echo "$as_me:$LINENO: result: $ac_cv_lib_cblas_cblas_dgemm" >&5
echo "${ECHO_T}$ac_cv_lib_cblas_cblas_dgemm" >&6; }
if test $ac_cv_lib_cblas_cblas_dgemm = yes; then
cat >>confdefs.h <<_ACEOF
#define HAVE_LIBCBLAS 1
if test x$acx_atlas_ok = xyes; then
ATLAS_LIBPATH="-L$atlas_def"
else
atlas_def=/usr/lib/atlas
unset ac_cv_lib_lapack_clapack_dpotrf
unset ac_cv_lib_cblas_cblas_dgemm
acx_atlas_ok=yes
{ echo "$as_me:$LINENO: checking for clapack_dpotrf in -llapack" >&5
echo $ECHO_N "checking for clapack_dpotrf in -llapack... $ECHO_C" >&6; }
if test "${ac_cv_lib_lapack_clapack_dpotrf+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
ac_check_lib_save_LIBS=$LIBS
LIBS="-llapack -L$atlas_def -lcblas -latlas -lm $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any GCC internal prototype to avoid an error.
Use char because int might match the return type of a GCC
builtin and then its argument prototype would still apply. */
#ifdef __cplusplus
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
{ echo "$as_me:$LINENO: result: $ac_cv_lib_lapack_clapack_dpotrf" >&5
echo "${ECHO_T}$ac_cv_lib_lapack_clapack_dpotrf" >&6; }
if test $ac_cv_lib_lapack_clapack_dpotrf = yes; then
{ echo "$as_me:$LINENO: checking for cblas_dgemm in -lcblas" >&5
echo $ECHO_N "checking for cblas_dgemm in -lcblas... $ECHO_C" >&6; }
if test "${ac_cv_lib_cblas_cblas_dgemm+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
ac_check_lib_save_LIBS=$LIBS
LIBS="-lcblas -L$atlas_def -latlas -lm $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any GCC internal prototype to avoid an error.
Use char because int might match the return type of a GCC
builtin and then its argument prototype would still apply. */
#ifdef __cplusplus
extern "C"
#endif
char cblas_dgemm ();
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
{ echo "$as_me:$LINENO: result: $ac_cv_lib_cblas_cblas_dgemm" >&5
echo "${ECHO_T}$ac_cv_lib_cblas_cblas_dgemm" >&6; }
if test $ac_cv_lib_cblas_cblas_dgemm = yes; then
cat >>confdefs.h <<_ACEOF
#define HAVE_LIBCBLAS 1
_ACEOF
LIBS="-lcblas $LIBS"
else
acx_atlas_ok=no
if test x$acx_atlas_ok = xyes; then
ATLAS_LIBPATH="-L$atlas_def"
else
atlas_def=/usr/atlas
unset ac_cv_lib_lapack_clapack_dpotrf
unset ac_cv_lib_cblas_cblas_dgemm
acx_atlas_ok=yes
{ echo "$as_me:$LINENO: checking for clapack_dpotrf in -llapack" >&5
echo $ECHO_N "checking for clapack_dpotrf in -llapack... $ECHO_C" >&6; }
if test "${ac_cv_lib_lapack_clapack_dpotrf+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
ac_check_lib_save_LIBS=$LIBS
LIBS="-llapack -L$atlas_def/lib -lcblas -latlas -lm $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any GCC internal prototype to avoid an error.
Use char because int might match the return type of a GCC
builtin and then its argument prototype would still apply. */
#ifdef __cplusplus
extern "C"
#endif
char clapack_dpotrf ();
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ echo "$as_me:$LINENO: result: $ac_cv_lib_lapack_clapack_dpotrf" >&5
echo "${ECHO_T}$ac_cv_lib_lapack_clapack_dpotrf" >&6; }
if test $ac_cv_lib_lapack_clapack_dpotrf = yes; then
cat >>confdefs.h <<_ACEOF
#define HAVE_LIBLAPACK 1
_ACEOF
LIBS="-llapack $LIBS"
else
acx_atlas_ok=no
fi
{ echo "$as_me:$LINENO: checking for cblas_dgemm in -lcblas" >&5
echo $ECHO_N "checking for cblas_dgemm in -lcblas... $ECHO_C" >&6; }
if test "${ac_cv_lib_cblas_cblas_dgemm+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lcblas -L$atlas_def/lib -latlas -lm $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any GCC internal prototype to avoid an error.
Use char because int might match the return type of a GCC
builtin and then its argument prototype would still apply. */
#ifdef __cplusplus
extern "C"
#endif
char cblas_dgemm ();
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ echo "$as_me:$LINENO: result: $ac_cv_lib_cblas_cblas_dgemm" >&5
echo "${ECHO_T}$ac_cv_lib_cblas_cblas_dgemm" >&6; }
if test $ac_cv_lib_cblas_cblas_dgemm = yes; then
cat >>confdefs.h <<_ACEOF
#define HAVE_LIBCBLAS 1
LIBS="-lcblas $LIBS"
else
acx_atlas_ok=no
if test x$acx_atlas_ok = xyes; then
ATLAS_LIBPATH="-L$atlas_def/lib"
else
ATLAS_ERROR="CBLAS/LAPack library files not found at usual locations!"
fi
fi
fi
fi
fi
else
{ echo "$as_me:$LINENO: checking for clapack_dpotrf in -llapack" >&5
echo $ECHO_N "checking for clapack_dpotrf in -llapack... $ECHO_C" >&6; }
if test "${ac_cv_lib_lapack_clapack_dpotrf+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
ac_check_lib_save_LIBS=$LIBS
LIBS="-llapack -L$atlas_libdir -lcblas -latlas -lm $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any GCC internal prototype to avoid an error.
Use char because int might match the return type of a GCC
builtin and then its argument prototype would still apply. */
#ifdef __cplusplus
extern "C"
#endif
char clapack_dpotrf ();
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ echo "$as_me:$LINENO: result: $ac_cv_lib_lapack_clapack_dpotrf" >&5
echo "${ECHO_T}$ac_cv_lib_lapack_clapack_dpotrf" >&6; }
if test $ac_cv_lib_lapack_clapack_dpotrf = yes; then
cat >>confdefs.h <<_ACEOF
#define HAVE_LIBLAPACK 1
_ACEOF
LIBS="-llapack $LIBS"
else
acx_atlas_ok=no
fi
{ echo "$as_me:$LINENO: checking for cblas_dgemm in -lcblas" >&5
echo $ECHO_N "checking for cblas_dgemm in -lcblas... $ECHO_C" >&6; }
if test "${ac_cv_lib_cblas_cblas_dgemm+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lcblas -L$atlas_libdir -latlas -lm $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any GCC internal prototype to avoid an error.
Use char because int might match the return type of a GCC
builtin and then its argument prototype would still apply. */
#ifdef __cplusplus
extern "C"
#endif
char cblas_dgemm ();
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ echo "$as_me:$LINENO: result: $ac_cv_lib_cblas_cblas_dgemm" >&5
echo "${ECHO_T}$ac_cv_lib_cblas_cblas_dgemm" >&6; }
if test $ac_cv_lib_cblas_cblas_dgemm = yes; then
cat >>confdefs.h <<_ACEOF
#define HAVE_LIBCBLAS 1
LIBS="-lcblas $LIBS"
else
acx_atlas_ok=no
if test x$acx_atlas_ok = xyes; then
ATLAS_LIBPATH="-L$atlas_libdir"
else
unset ac_cv_lib_lapack_clapack_dpotrf
unset ac_cv_lib_cblas_cblas_dgemm
acx_atlas_ok=yes
{ echo "$as_me:$LINENO: checking for clapack_dpotrf in -llapack" >&5
echo $ECHO_N "checking for clapack_dpotrf in -llapack... $ECHO_C" >&6; }
if test "${ac_cv_lib_lapack_clapack_dpotrf+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
ac_check_lib_save_LIBS=$LIBS
LIBS="-llapack -L$atlas_libdir/lib -lcblas -latlas -lm $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any GCC internal prototype to avoid an error.
Use char because int might match the return type of a GCC
builtin and then its argument prototype would still apply. */
#ifdef __cplusplus
extern "C"
#endif
char clapack_dpotrf ();
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ echo "$as_me:$LINENO: result: $ac_cv_lib_lapack_clapack_dpotrf" >&5
echo "${ECHO_T}$ac_cv_lib_lapack_clapack_dpotrf" >&6; }
if test $ac_cv_lib_lapack_clapack_dpotrf = yes; then
cat >>confdefs.h <<_ACEOF
#define HAVE_LIBLAPACK 1
_ACEOF
LIBS="-llapack $LIBS"
else
acx_atlas_ok=no
fi
{ echo "$as_me:$LINENO: checking for cblas_dgemm in -lcblas" >&5
echo $ECHO_N "checking for cblas_dgemm in -lcblas... $ECHO_C" >&6; }
if test "${ac_cv_lib_cblas_cblas_dgemm+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lcblas -L$atlas_libdir/lib -latlas -lm $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any GCC internal prototype to avoid an error.
Use char because int might match the return type of a GCC
builtin and then its argument prototype would still apply. */
#ifdef __cplusplus
extern "C"
#endif
char cblas_dgemm ();
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ echo "$as_me:$LINENO: result: $ac_cv_lib_cblas_cblas_dgemm" >&5
echo "${ECHO_T}$ac_cv_lib_cblas_cblas_dgemm" >&6; }
if test $ac_cv_lib_cblas_cblas_dgemm = yes; then
cat >>confdefs.h <<_ACEOF
#define HAVE_LIBCBLAS 1
LIBS="-lcblas $LIBS"
else
acx_atlas_ok=no
26778
26779
26780
26781
26782
26783
26784
26785
26786
26787
26788
26789
26790
26791
26792
26793
26794
26795
26796
26797
26798
if test x$acx_atlas_ok = xyes; then
ATLAS_LIBPATH="-L$atlas_libdir/lib"
else
ATLAS_ERROR="CBLAS/LAPack library files not found in $atlas_libdir!"
fi
fi
fi
LIBS="$OLIBS"
fi
if test x"$acx_atlas_ok" = xyes; then
cat >>confdefs.h <<\_ACEOF
#define HAVE_ATLAS 1
_ACEOF
if test x$use_pthreads = xyes; then
{ echo "$as_me:$LINENO: checking for cblas_dgemm in -lptcblas" >&5
echo $ECHO_N "checking for cblas_dgemm in -lptcblas... $ECHO_C" >&6; }
if test "${ac_cv_lib_ptcblas_cblas_dgemm+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
ac_check_lib_save_LIBS=$LIBS
LIBS="-lptcblas $ATLAS_LIBPATH -lcblas -latlas -lm $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any GCC internal prototype to avoid an error.
Use char because int might match the return type of a GCC
builtin and then its argument prototype would still apply. */
#ifdef __cplusplus
extern "C"
#endif
char cblas_dgemm ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
{ echo "$as_me:$LINENO: result: $ac_cv_lib_ptcblas_cblas_dgemm" >&5
echo "${ECHO_T}$ac_cv_lib_ptcblas_cblas_dgemm" >&6; }
if test $ac_cv_lib_ptcblas_cblas_dgemm = yes; then
cat >>confdefs.h <<_ACEOF
#define HAVE_LIBPTCBLAS 1
LIBS="-lptcblas $LIBS"
else
acx_atlas_ok=no
if test x$acx_atlas_ok = xyes; then
ATLAS_LIB="$ATLAS_LIBPATH -llapack -lptcblas -lcblas -latlas"
LIBS="$OLIBS"
cat >>confdefs.h <<\_ACEOF
#define HAVE_ATLAS_MP 1
use_atlas=yes
else
ATLAS_ERROR="CBLAS/LAPack was compiled without multithreading support!"
use_atlas=no
fi
else
ATLAS_LIB="$ATLAS_LIBPATH -llapack -lcblas -latlas"
LIBS="$OLIBS"
use_atlas=yes
fi
else
use_atlas=no
fi
if test "$use_atlas" = "yes"; then
LIBS="$ATLAS_LIB $LIBS"
else
{ { echo "$as_me:$LINENO: error: $ATLAS_ERROR Exiting." >&5
echo "$as_me: error: $ATLAS_ERROR Exiting." >&2;}
fi
# Link with gprof option
if test "$use_gprof" = "yes"; then
if test "$use_icc" = "yes"; then
CFLAGS="$CFLAGS -pq"
else
fi
use_static="no"
fi
LDFLAGS="-static -shared-libgcc $LDFLAGS"
fi
# Override automatic CFLAGS and LDFLAGS with those of user
#if test -n "$mycflags"; then
#CFLAGS="$mycflags"
#fi
#if test -n "$myldflags"; then
#LDFLAGS="$myldflags"
#fi
# Display compiler and linker flags
{ echo "$as_me:$LINENO: result: ***************************************************************" >&5
echo "${ECHO_T}***************************************************************" >&6; }
{ echo "$as_me:$LINENO: result: Compile cmdline: $CC $CFLAGS" >&5
echo "${ECHO_T}Compile cmdline: $CC $CFLAGS" >&6; }
{ echo "$as_me:$LINENO: result: Link cmdline: $CC $LDFLAGS $LIBS" >&5
echo "${ECHO_T}Link cmdline: $CC $LDFLAGS $LIBS" >&6; }
{ echo "$as_me:$LINENO: result: Default XSLT URL: $xsl_url" >&5
echo "${ECHO_T}Default XSLT URL: $xsl_url" >&6; }
{ echo "$as_me:$LINENO: result: ***************************************************************" >&5
echo "${ECHO_T}***************************************************************" >&6; }
ac_config_files="$ac_config_files Makefile src/Makefile src/fits/Makefile src/levmar/Makefile src/wcs/Makefile man/Makefile tests/Makefile sextractor.spec man/sex.1"
test "x$prefix" = xNONE && prefix=$ac_default_prefix
# Let make expand exec_prefix.
test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
DEFS=-DHAVE_CONFIG_H
ac_libobjs=
ac_ltlibobjs=
for ac_i in : $LIBOBJS; do test "x$ac_i" = x: && continue
# 1. Remove the extension, and $U if already installed.
ac_script='s/\$U\././;s/\.o$//;s/\.obj$//'
ac_i=`echo "$ac_i" | sed "$ac_script"`
# 2. Prepend LIBOBJDIR. When used with automake>=1.10 LIBOBJDIR
# will be set to the directory where LIBOBJS objects are built.
ac_libobjs="$ac_libobjs \${LIBOBJDIR}$ac_i\$U.$ac_objext"
ac_ltlibobjs="$ac_ltlibobjs \${LIBOBJDIR}$ac_i"'$U.lo'
done
LIBOBJS=$ac_libobjs
LTLIBOBJS=$ac_ltlibobjs
if test -z "${AMDEP_TRUE}" && test -z "${AMDEP_FALSE}"; then
{ { echo "$as_me:$LINENO: error: conditional \"AMDEP\" was never defined.
Usually this means the macro was only invoked conditionally." >&5
echo "$as_me: error: conditional \"AMDEP\" was never defined.
Usually this means the macro was only invoked conditionally." >&2;}
{ (exit 1); exit 1; }; }
fi
if test -z "${am__fastdepCC_TRUE}" && test -z "${am__fastdepCC_FALSE}"; then
{ { echo "$as_me:$LINENO: error: conditional \"am__fastdepCC\" was never defined.
Usually this means the macro was only invoked conditionally." >&5
echo "$as_me: error: conditional \"am__fastdepCC\" was never defined.
Usually this means the macro was only invoked conditionally." >&2;}
{ (exit 1); exit 1; }; }
fi
if test -z "${am__fastdepCC_TRUE}" && test -z "${am__fastdepCC_FALSE}"; then
{ { echo "$as_me:$LINENO: error: conditional \"am__fastdepCC\" was never defined.
Usually this means the macro was only invoked conditionally." >&5
echo "$as_me: error: conditional \"am__fastdepCC\" was never defined.
Usually this means the macro was only invoked conditionally." >&2;}
{ (exit 1); exit 1; }; }
fi
if test -z "${am__fastdepCXX_TRUE}" && test -z "${am__fastdepCXX_FALSE}"; then
{ { echo "$as_me:$LINENO: error: conditional \"am__fastdepCXX\" was never defined.
Usually this means the macro was only invoked conditionally." >&5
echo "$as_me: error: conditional \"am__fastdepCXX\" was never defined.
Usually this means the macro was only invoked conditionally." >&2;}
{ (exit 1); exit 1; }; }
fi
if test -z "${USE_THREADS_TRUE}" && test -z "${USE_THREADS_FALSE}"; then
{ { echo "$as_me:$LINENO: error: conditional \"USE_THREADS\" was never defined.
Usually this means the macro was only invoked conditionally." >&5
echo "$as_me: error: conditional \"USE_THREADS\" was never defined.
Usually this means the macro was only invoked conditionally." >&2;}
{ (exit 1); exit 1; }; }